Core - Feature # 52876

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: New Priority: Should have
Author: Kay Strobach Category:

Created: 2013-10-16 Assigned To:

Updated: 2015-06-15 Due date:

PHP Version: 53

Complexity: medium

Sprint Focus:

Subject: Replace ExtJS Tree with jquery tree to get rid of extjs

Description

concerns: web -> tree, tca tree

http://www.jstree.com/

Alternativly use e.g. sth similar

Related issues:

related to Core - Task # 56970: Category-tree needs to load in parts (AJAX?) New 2014-03-16

History

#1 - 2013-10-16 18:45 - Ingo Renner

AFAIR jsTree is used by the Neos team, too. Should be a good choice...

#2 - 2013-10-16 21:22 - Kay Strobach

mhmm, but does only make sense with the noticed refactoring of the backend.php output ... hopefully i find the time for 6.3 :D

#3 - 2014-02-02 11:13 - Daniel Siepmann
- Parent task set to #55575

#4 - 2014-12-23 19:45 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#5 - 2015-06-15 17:45 - Benjamin Mack

- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)
http://www.jstree.com/

